> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Warehouse Location

> Returns a single Warehouse Location for the WMS connection with the associated warehouse and location id.



## OpenAPI

````yaml get /wms/warehouses/{warehouse_id}/locations/{location_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/warehouses/{warehouse_id}/locations/{location_id}:
    get:
      tags:
        - wms
        - Warehouse Locations
      summary: Get Warehouse Location
      description: >-
        Returns a single Warehouse Location for the WMS connection with the
        associated warehouse and location id.
      operationId: get_wms_get_warehouse_location
      parameters:
        - in: path
          name: warehouse_id
          schema:
            type: string
          required: true
        - in: path
          name: location_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsWarehouseLocationsSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsWarehouseLocationsSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsWarehouseLocationApiItemSchema'
      additionalProperties: false
      title: WmsWarehouseLocationsSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsWarehouseLocationApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the location.
          example: location_id
        created_date:
          type: string
          format: date-time
          description: The date the location was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the location was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type:
            - string
            - 'null'
          description: The name of the location.
          example: Location Name
        warehouse_id:
          type: string
          description: The ID of the warehouse the location is in.
          example: warehouse_id
        type:
          type:
            - string
            - 'null'
          description: The location type
          example: pallet
        measurements:
          $ref: '#/components/schemas/LocationMeasurements'
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - id
        - measurements
        - name
        - trackstar_created_date
        - trackstar_updated_date
        - type
        - updated_date
        - warehouse_id
      additionalProperties: false
      title: WmsWarehouseLocationApiItemSchema
    LocationMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the location.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the location.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: LocationMeasurements

````